package spelers.abstracts;

import simulatie.Model;

public abstract class AbstractOnschuldigMeisje extends AbstractBurger{

	public AbstractOnschuldigMeisje(Model controller, String naam, int id) {
		super(controller, naam, id);
		this.rol = zekerOM;
	}

	@Override
	public void initAndereSpelerInschattingen() {
    	for (int s =0; s < model.geefAantalSpelers(); s++){
    		String echteRol = model.spelers.get(s).rol;
    		if (echteRol.equals("Weerwolf")){
    			andereSpelerInschattingen.add(zekerWolf);
    		}
    		else {
    			andereSpelerInschattingen.add(burgerOfZienerOfOM);
    		}
    	}
		
	}

	
	public void updateAndereSpelerInschattingen(){
		//Onschuldig meisje hoeft haar kennis niet bij te werken, aangezien ze al weet wie weerwolven zijn
	}


}
