package spelers.abstracts;

import java.util.ArrayList;

import simulatie.Model;



public abstract class AbstractZiener extends AbstractBurger{

	public AbstractZiener(Model controller, String naam, int id) {
		super(controller, naam, id);
		this.rol = zekerZiener;
	}
	
	public void kijkNaarKaart(){
		ArrayList<Integer> kandidaten = new ArrayList<Integer>();
		for (int s =0; s < model.geefAantalSpelers(); s++){
    		if (andereSpelerInschattingen.get(s).equals(onbekendeRol) & model.spelers.get(s).inLeven == true){
    			kandidaten.add(model.spelers.get(s).id);
    		}
    	}
		if (kandidaten.size()==0){
			System.out.println(this.rol +" "+ this.naam + " kent alle rollen al, dus hoeft geen kaart meer te bekijken.");
			return;
		}
			
		
		int kaartKijktKeuze = r.nextInt(kandidaten.size());
		int kandidaatKijktKeuze = kandidaten.get(kaartKijktKeuze);
		andereSpelerInschattingen.set(kandidaatKijktKeuze, model.spelers.get(kandidaatKijktKeuze).rol);
		System.out.println(this.rol +" "+ this.naam + " ziet de kaart van speler " + model.spelers.get(kandidaatKijktKeuze).naam + 
				": " + model.spelers.get(kandidaatKijktKeuze).rol + ".");
	}
	
}
