package spelers.nuldeOrde;

import java.util.ArrayList;
import java.util.Iterator;

import simulatie.Model;
import spelers.abstracts.AbstractBurger;
import spelers.abstracts.AbstractWeerwolf;

public class NulWeerwolf extends AbstractWeerwolf{

	public NulWeerwolf(Model controller, String naam, int id) {
		super(controller, naam, id);
		this.orde = nuldeOrde;
	}
	
	//Nulde order, dus nog geen kennis over andere personen anders dan initiele kennis
	@Override
	public void updateAndereSpelerInschattingen() {		
	}
	
	//Kies een willekeurige burger
	@Override
	public int opEetBurgerID() {
		Iterator<AbstractBurger> it = model.burgers.iterator();
		ArrayList<Integer> kandidaten = new ArrayList<Integer>();
		while (it.hasNext()) {
			AbstractBurger itBurger = (AbstractBurger) it.next();
			if (itBurger.inLeven == true){
				kandidaten.add(itBurger.id);
			}
		}
		return kandidaten.get(r.nextInt(kandidaten.size()));
	}

	@Override
	//Weerwolven stemmen op een burger om te verbranden. Identiek aan opEetBurgerID().
	public int stemVerbrandenID() {
		return opEetBurgerID();
	}
		
}
	
	
