package spelers.tweedeOrde;

import java.util.Iterator;

import simulatie.Model;
import spelers.abstracts.AbstractBurger;
import spelers.abstracts.AbstractSpeler;

public class TweeBurger extends AbstractBurger{

	public TweeBurger(Model controller, String naam, int id) {
		super(controller, naam, id);
		this.orde = tweedeOrde;
	}

	@Override
	//Probeer uit te zoeken welke spelers waarschijnlijk weerwolf/burger zijn
	public void updateAndereSpelerInschattingen() {
		Iterator<AbstractSpeler> it = model.spelers.iterator();
		while (it.hasNext()) {
			AbstractSpeler itSpeler = (AbstractSpeler) it.next();
			if (itSpeler.inLeven == true){
				int spelersStem = model.laatsteBrandstapelStemgedrag[itSpeler.id];
				//Als een speler de vorige keer op een weerwolf heeft gestemd, is het zeker geen weerwolf, dus zeker wel een burger
				if (model.spelers.get(spelersStem).rol.equals("Weerwolf") | andereSpelerInschattingen.get(itSpeler.id).equals(zekerBurger)){
					andereSpelerInschattingen.set(itSpeler.id, zekerBurger);
//					System.out.println(this.naam + " denkt dat " + itBurger.naam + " zekerBurger is.");
				}
				else{
					andereSpelerInschattingen.set(itSpeler.id, verhoogdRisicoOpWeerwolf);
//					System.out.println(this.naam + " denkt dat " + itBurger.naam + " verhoogdRisicoOpWeerwolf is.");
				}

			}
		}
		//van zichzelf weten ze nog wel wat ze zijn, ook al hebben ze zelf verkeerd gestemd.
		andereSpelerInschattingen.set(this.id, this.rol);
	}

}
